Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.v2
Class SimpleParameterMap

    java.lang.Object
      |
      +--oracle.portal.utils.v2.SimpleParameterMap

All Implemented Interfaces:
  ParameterMap

Deprecated. use Java 2 collection class such as HashMap

public class SimpleParameterMap
extends java.lang.Object
implements ParameterMap

A `ParameterMap` contains a set of parameters whose values are `Object`s mapped to `String` names.

Constructor Summary
`SimpleParameterMap()` Deprecated.

Method Summary
`boolean` | `containsParameter(java.lang.String parameterName)` Deprecated. Returns true if this `ParameterMap` object contains the specified String as a parameter name.
`java.util.Map` | `getMap()` Deprecated. Returns a Map containing the contents of this SimpleParameterMap.
`java.util.Enumeration` | `getParameterNames()` Deprecated. Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.
`java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Deprecated. Gets the value of the parameter with the given name.
`void` | `putParameterValue(java.lang.String paramName, java.lang.Object paramValue)` Deprecated. Adds the specified parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleParameterMap

    public SimpleParameterMap()

  Deprecated.

Method Detail

### getParameterValue

    public java.lang.Object getParameterValue(java.lang.String parameterName)

  Deprecated.
  Gets the value of the parameter with the given name. If either the name or parameter does not exist, null is returned.

  Specified by:
    `getParameterValue` in interface `ParameterMap`
  Parameters:
    `parameterName` - the parameter name.
  Returns:
    the parameter with given name.

### putParameterValue

    public void putParameterValue(java.lang.String paramName,
                                  java.lang.Object paramValue)

  Deprecated.
  Adds the specified parameter.

  Parameters:
    `paramName` - the parameter name.
    `paramValue` - the parameter value.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Deprecated.
  Returns an `Enumeration` of the parameter names belonging to this `ParameterMap` object, this may then be used to fetch the parameters sequentially.

  Specified by:
    `getParameterNames` in interface `ParameterMap`
  Returns:
    an `Enumeration` of the parameter names.

### containsParameter

    public boolean containsParameter(java.lang.String parameterName)

  Deprecated.
  Returns true if this `ParameterMap` object contains the specified String as a parameter name.

  Specified by:
    `containsParameter` in interface `ParameterMap`
  Parameters:
    `parameterName` - parameter name to search for.
  Returns:
    true if the give name is found, false otherwise.

### getMap

    public java.util.Map getMap()

  Deprecated.
  Returns a Map containing the contents of this SimpleParameterMap. This method is included to provide a quick & dirty way to get a Map from a SimpleParameterMap. Added to allow rapid conversion of objects so calls to deprecated methods in PortletContainerRenderer can be converted to calls to equivalent supported methods with minimum amount of work

  Returns:
    internal Map containing parameter values

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.